Bug 241488 - man checkpolicy refers to a dead link - no documentation pointer as a result
man checkpolicy refers to a dead link - no documentation pointer as a result
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: checkpolicy (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
http://www.nsa.gov/selinux/docs.html
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-26 11:45 EDT by R P Herrold
Modified: 2012-01-16 12:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-16 12:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2007-05-26 11:45:58 EDT
man checkpolicy   points out into the internet to
http://www.nsa.gov/selinux/docs.html for additional information;

That page presently returns:

>>Error Notice
Missing Template

The requested web page or an included file is missing.

Please go back to the previous page and verify the format and completeness of
the link address before trying again.

=====================================
In seeing if a local copy exists, ...

[root@dhcp12 tmp]# rpm -ql checkpolicy
/usr/bin/checkpolicy
/usr/bin/genpolusers
/usr/share/man/man8/checkpolicy.8.gz
[root@dhcp12 tmp]#                                 

I request that a /usr/share/doc/checkpolicy/ tree be added containing all the
content below the external link noted, so that it is available.

Obviously as I cannot see it, I cannot determine how it is externally produced
-- if possible, a .pdf version so as to make it searchible with xpdf, would be a
nice addition as well.
Comment 1 Daniel Walsh 2007-06-04 15:07:11 EDT
Fixed in checkpolicy-2.0.3-1
Comment 2 R P Herrold 2007-06-05 12:51:59 EDT
Thanks for the update 

-- as noted, in comment 1

"I request that a /usr/share/doc/checkpolicy/ tree be added containing all the
content below the external link noted, so that it is available"

... the thought I had was that if one is in a non-connected environment this is
just not visible, _or_ if the political winds of funding shift, this all has the
prospect of disappearing.  

Is there any method to get the PDF's or sources to the PDFs linked at 
  http://www.nsa.gov/selinux/info/docs.cfm
into the package, so it may be referred to notwithstanding network access or any
future changes?

Thanks
Comment 3 R P Herrold 2009-01-28 17:26:29 EST
reopening in light of:

Date: Wed, 28 Jan 2009 15:26:11
From: Daniel J Walsh <dwalsh@redhat.com>
To: SE Linux <selinux@tycho.nsa.gov>
Subject: selinux]  What happened to http://www.nsa.gov/selinux/ ????

--------------------------------------------------------------------

page returns:

Error Notice
It seems you have experienced an error.

--------------------------------------------------------------------

May I get it in tree and not on a remote server please?

-- Russ herrold
Comment 4 Bug Zapper 2009-06-09 05:14:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 R P Herrold 2009-07-14 10:44:05 EDT
The documentation is still not internal to the package and subject to the whim of a third party as to disappearing.  Also, in a non-connected circumstance, documentation cannot be accessed.

Can we get some movement on this bug?

-- Russ herrold
Comment 6 Bug Zapper 2009-11-16 02:55:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 R P Herrold 2010-06-22 15:36:02 EDT
hopless cause I guess to think that people want to read documentation locally rather than from websites that come and go -- I see this newly in the CentOS side

http://bugs.centos.org/view.php?id=4388

which returns a timeout as one cannot count on a webserver remaining in commission

The server at fedora.redhat.com is taking too long to respond.  ...

for http://fedora.redhat.com/docs/selinux-faq-fc5
Comment 8 Bug Zapper 2010-07-30 06:29:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 R P Herrold 2012-01-12 14:51:30 EST
still true in F16

http://www.nsa.gov/selinux
Comment 10 Daniel Walsh 2012-01-16 12:13:49 EST
Fixed in checkpolicy-2.1.8-3.fc17

If we have to back port checkpolicy I will pull this into F16.

Note You need to log in before you can comment on or make changes to this bug.